Unbind
Git Hub

List GitHub Repositories

List the repositories the caller can build in a team, each with the installation_id to pass to create-service along with owner.login and name. A repository missing here cannot be built in the team until it is added to the installation on GitHub or its connection is shared with the team.

GET
/github/repositories

List the repositories the caller can build in a team, each with the installation_id to pass to create-service along with owner.login and name. A repository missing here cannot be built in the team until it is added to the installation on GitHub or its connection is shared with the team.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Query Parameters

team_id*string

The team to build in

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/github/repositories?team_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": [    {      "clone_url": "string",      "full_name": "string",      "homepage": "string",      "html_url": "string",      "id": 0,      "installation_id": 0,      "name": "string",      "owner": {        "avatar_url": "string",        "id": 0,        "login": "string",        "name": "string"      },      "updated_at": "2019-08-24T14:15:22Z"    }  ]}